!!ARBfp1.0
OPTION ARB_precision_hint_fastest;
#OPTION ARB_precision_hint_nicest;

#######################################################
# Modified by CnlPepper to remove lighting stages     #
# Modified by CnlPepper to remove unnecessary code    #
# Modified by CnlPepper to add bilinear interpolation #
#######################################################

### IF YOU ARE SEEING THIS TEXT IN THE HW2.LOG FILE THEN THE SHADOWANDLIGHT.FP SHADER HAS FAILED TO LOAD
### THESE SHADERS REQUIRE A GRAPHICS CARD CAPABLE OF AT LEAST SHADER MODEL 2.0B

ATTRIB coordShadow	= fragment.texcoord[0];		# shadow texture coordinates
ATTRIB coordTex		= fragment.texcoord[1];		# alpha (diffuse) texture coordinates

#PARAM texScale		= { 4096, 0.0002441406, 0, 0};	# scale factors for shadow texture (4096x4096)
PARAM texScale		= { 2048, 0.0004882813, 0, 0};	# scale factors for shadow texture (2048x2048)
#PARAM texScale		= { 1024, 0.0009765625, 0, 0};	# scale factors for shadow texture (1024x1024)
#PARAM texScale		= { 512, 0.001953125, 0, 0};	# scale factors for shadow texture (512x512)

OUTPUT outColour	= result.color;

TEMP R, BL, BR, TL, TR, C;
TEMP sBL, sBR, sTL, sTR;
TEMP shadowColour, shadowAmount, prim;
TEMP temp;

### RESCALE SHADOW TEXTURE COORDINATE

RCP R, coordShadow.w;
MUL R, coordShadow, R;

### CALCULATE TEXTURE OFFSETS

# scale by shadow texture size
MUL temp, R, texScale.x;

# floor coordinate and calculate shift into shadow texture pixel
FLR BL, temp;
MUL BL, BL, texScale.y;
FRC C, temp;

# add offsets
ADD_SAT BR, BL, texScale.yzzz;
ADD_SAT TL, BL, texScale.zyzz;
ADD_SAT TR, BL, texScale.yyzz;

### SAMPLE SHADOW TEXTURE

TEX sBL, BL, texture[0], 2D;
TEX sBR, BR, texture[0], 2D;
TEX sTL, TL, texture[0], 2D;
TEX sTR, TR, texture[0], 2D;

### BI-LINEAR INTERPOLATE

# x-direction
LRP sBL, C.x, sBR, sBL;
LRP sTL, C.x, sTR, sTL;

# y-direction
LRP shadowAmount, C.y, sTL, sBL;

### THRESHOLD INTENSITY

#SGE shadowAmount, shadowAmount, 0.5;

### FADE SHADOW

LRP shadowColour, program.local[4].a, shadowAmount, 1;

### OUTPUT SHADOW

MOV outColour, shadowColour;

### ALPHA CHANNEL

TEX temp, coordTex, texture[1], 2D;
MOV outColour.a, temp.a;

END 

