// Modified by CnlPepper to implement parallax mapping

static Texture $diffuse
//static Texture $glow

simple base(Texture $diffuse, Texture $glow, Texture $normal, Colour $teambase, Colour $teamstripe, Colour $fogColour, Colour $addColour, Colour $shadowColour)
{
	setCap depthBufferCap		true
	setCap gouraudCap		true
	setCap cullCap			true
	setCap texture0Cap		true
	setCap texture1Cap		true
	setCap lightingCap		true
	setCap fragmentProgramCap	true
	setCap separateSpecularCap	true
	setCap blendCap         	true
	setCap vertexProgramCap	true

	setVertexProgram asteroidVertexProgram0

	srcBlend srcAlphaBlend
	destBlend invSrcAlphaBlend

	fillMode solidFill
	cullMode backCull

	material ambient   1 1 1 1
	material diffuse   1 1 1 1
	material specular  1 1 1 1
	material shininess 96 96 96 96
	setVertexColour    1 1 1 1

	textureBind 0 $diffuse
	textureBind 1 $glow

	setFragmentProgram shipFragmentProgram

	setProgramVarLocal fragmentProgram 0x0 0.5 0.5 0.5 0.5	// glow colour multiplier
	setProgramVarLocal fragmentProgram 0x1 $teambase
	setProgramVarLocal fragmentProgram 0x2 $teamstripe
	setProgramVarLocal fragmentProgram 0x3 $fogColour
	setProgramVarLocal fragmentProgram 0x4    0    0    0 1 // directional light 1 enabled?
	setProgramVarLocal fragmentProgram 0x5  240  240  240 1	// glossiness scale
	setProgramVarLocal fragmentProgram 0x6   10   10   10 1	// glossiness bias (added)
	setProgramVarLocal fragmentProgram 0x7    0    0    0 0	// alpha channel in diffuse texture          
}

simple additive(Texture $diffuse, Texture $glow, Texture $normal, Colour $teambase, Colour $teamstripe, Colour $fogColour, Colour $addColour, Colour $shadowColour)
{
	setCap depthBufferCap 		true
	setCap gouraudCap 		true
	setCap blendCap 		true
	setCap cullCap  		true

	srcBlend srcAlphaBlend
	destBlend oneBlend

	fillMode solidFill
	cullMode backCull

	material ambient   1 1 1 1
	material diffuse   1 1 1 1
	material specular  1 1 1 1
	material shininess 96 96 96 96
	setVertexColour    $addColour

	setFragmentProgram additiveFragmentProgram

	setProgramVarLocal fragmentProgram 0x0 $addColour
}

compound matte()
{
	addPass base
	addPass additive 0
}


