//static Texture $diffuse
//static Texture $glow

simple pass1(Texture $diffuse1, Texture $diffuse2, Texture $diffuse3, Texture $diffuse4, Texture $glow1, Texture $glow2, Texture $glow3, Texture $glow4, Texture $normal1, Texture $normal2, Texture $normal3, Texture $normal4, Texture $shading1, Texture $shading2, Texture $shading3, Texture $shading4)
{
    setCap depthBufferCap true
    setCap gouraudCap true
    setCap cullCap true
    setCap texture0Cap true    
    setCap texture1Cap true
    setCap texture2Cap true
    setCap texture3Cap true
    setCap lightingCap true
    setCap blendCap true
    setCap vertexProgramCap true
    setCap fragmentProgramCap	true
    
    setCap texgenSCap true
    setCap texgenTCap true
    setCap texgenRCap true
    setCap texgenQCap true    
    
    setVertexProgram asteroidVertexProgram1

    srcBlend	oneBlend
    destBlend	zeroBlend

    fillMode solidFill
    cullMode backCull

    material ambient   1 1 1 1
    material diffuse   1 1 1 1
    material specular  1 1 1 1
    material shininess 75 75 75 75
    setVertexColour    1 1 1 1

    textureBind 0 $diffuse1
    textureBind 1 $glow1
    textureBind 2 $normal1
    textureBind 3 $shading1    

    setFragmentProgram megalithFragmentProgram

    setProgramVarLocal fragmentProgram 0x0 0.5 0.5 0.5 0.5	// glow colour multiplier
    setProgramVarLocal fragmentProgram 0x1 $teambase
    setProgramVarLocal fragmentProgram 0x2 $teamstripe
    setProgramVarLocal fragmentProgram 0x3 0.02 0.02 0.02 1.0	// parallax bias
    setProgramVarLocal fragmentProgram 0x4 0.01 0.01 0.01 1.0	// parallax scale
    setProgramVarLocal fragmentProgram 0x5  240  240  240 1	// glossiness scale
    setProgramVarLocal fragmentProgram 0x6   10   10   10 1	// glossiness bias (added)
    setProgramVarLocal fragmentProgram 0x7    0    0    0 0	// alpha channel in diffuse texture
}

simple pass2(Texture $diffuse1, Texture $diffuse2, Texture $diffuse3, Texture $diffuse4, Texture $glow1, Texture $glow2, Texture $glow3, Texture $glow4, Texture $normal1, Texture $normal2, Texture $normal3, Texture $normal4, Texture $shading1, Texture $shading2, Texture $shading3, Texture $shading4)
{
    setCap depthBufferCap true
    setCap gouraudCap true
    setCap cullCap true
    setCap texture0Cap true    
    setCap texture1Cap true
    setCap texture2Cap true
    setCap texture3Cap true
    setCap lightingCap true
    setCap blendCap true
    setCap vertexProgramCap true
    setCap fragmentProgramCap	true
    
    setCap texgenSCap true
    setCap texgenTCap true
    setCap texgenRCap true
    setCap texgenQCap true    
    
    setVertexProgram asteroidVertexProgram1

    srcBlend srcAlphaBlend
    destBlend invSrcAlphaBlend

    fillMode solidFill
    cullMode backCull

    material ambient   1 1 1 1
    material diffuse   1 1 1 1
    material specular  1 1 1 1
    material shininess 75 75 75 75
    setVertexColour    1 1 1 1

    textureBind 0 $diffuse2
    textureBind 1 $glow2
    textureBind 2 $normal2
    textureBind 3 $shading2    

    setFragmentProgram megalithFragmentProgram

    setProgramVarLocal fragmentProgram 0x0 0.5 0.5 0.5 0.5	// glow colour multiplier
    setProgramVarLocal fragmentProgram 0x1 $teambase
    setProgramVarLocal fragmentProgram 0x2 $teamstripe
    setProgramVarLocal fragmentProgram 0x3 0.02 0.02 0.02 1.0	// parallax bias
    setProgramVarLocal fragmentProgram 0x4 0.01 0.01 0.01 1.0	// parallax scale
    setProgramVarLocal fragmentProgram 0x5  240  240  240 1	// glossiness scale
    setProgramVarLocal fragmentProgram 0x6   10   10   10 1	// glossiness bias (added)
    setProgramVarLocal fragmentProgram 0x7    0    0    0 0	// alpha channel in diffuse texture
}

simple pass3(Texture $diffuse1, Texture $diffuse2, Texture $diffuse3, Texture $diffuse4, Texture $glow1, Texture $glow2, Texture $glow3, Texture $glow4, Texture $normal1, Texture $normal2, Texture $normal3, Texture $normal4, Texture $shading1, Texture $shading2, Texture $shading3, Texture $shading4)
{
    setCap depthBufferCap true
    setCap gouraudCap true
    setCap cullCap true
    setCap texture0Cap true    
    setCap texture1Cap true
    setCap texture2Cap true
    setCap texture3Cap true
    setCap lightingCap true
    setCap blendCap true
    setCap vertexProgramCap true
    setCap fragmentProgramCap	true
    
    setCap texgenSCap true
    setCap texgenTCap true
    setCap texgenRCap true
    setCap texgenQCap true    
    
    setVertexProgram asteroidVertexProgram1

    srcBlend srcAlphaBlend
    destBlend invSrcAlphaBlend

    fillMode solidFill
    cullMode backCull

    material ambient   1 1 1 1
    material diffuse   1 1 1 1
    material specular  1 1 1 1
    material shininess 75 75 75 75
    setVertexColour    1 1 1 1

    textureBind 0 $diffuse3
    textureBind 1 $glow3
    textureBind 2 $normal3
    textureBind 3 $shading3    

    setFragmentProgram megalithFragmentProgram

    setProgramVarLocal fragmentProgram 0x0 0.5 0.5 0.5 0.5	// glow colour multiplier
    setProgramVarLocal fragmentProgram 0x1 $teambase
    setProgramVarLocal fragmentProgram 0x2 $teamstripe
    setProgramVarLocal fragmentProgram 0x3 0.02 0.02 0.02 1.0	// parallax bias
    setProgramVarLocal fragmentProgram 0x4 0.01 0.01 0.01 1.0	// parallax scale
    setProgramVarLocal fragmentProgram 0x5  240  240  240 1	// glossiness scale
    setProgramVarLocal fragmentProgram 0x6   10   10   10 1	// glossiness bias (added)
    setProgramVarLocal fragmentProgram 0x7    0    0    0 0	// alpha channel in diffuse texture
}

simple pass4(Texture $diffuse1, Texture $diffuse2, Texture $diffuse3, Texture $diffuse4, Texture $glow1, Texture $glow2, Texture $glow3, Texture $glow4, Texture $normal1, Texture $normal2, Texture $normal3, Texture $normal4, Texture $shading1, Texture $shading2, Texture $shading3, Texture $shading4)
{
    setCap depthBufferCap true
    setCap gouraudCap true
    setCap cullCap true
    setCap texture0Cap true    
    setCap texture1Cap true
    setCap texture2Cap true
    setCap texture3Cap true
    setCap lightingCap true
    setCap blendCap true
    setCap vertexProgramCap true
    setCap fragmentProgramCap	true
    
    setCap texgenSCap true
    setCap texgenTCap true
    setCap texgenRCap true
    setCap texgenQCap true    
    
    setVertexProgram asteroidVertexProgram1

    srcBlend srcAlphaBlend
    destBlend invSrcAlphaBlend
    
    fillMode solidFill
    cullMode backCull

    material ambient   1 1 1 1
    material diffuse   1 1 1 1
    material specular  1 1 1 1
    material shininess 75 75 75 75
    setVertexColour    1 1 1 1

    textureBind 0 $diffuse4
    textureBind 1 $glow4
    textureBind 2 $normal4
    textureBind 3 $shading4    

    setFragmentProgram megalithFragmentProgram

    setProgramVarLocal fragmentProgram 0x0 0.5 0.5 0.5 0.5	// glow colour multiplier
    setProgramVarLocal fragmentProgram 0x1 $teambase
    setProgramVarLocal fragmentProgram 0x2 $teamstripe
    setProgramVarLocal fragmentProgram 0x3 0.02 0.02 0.02 1.0	// parallax bias
    setProgramVarLocal fragmentProgram 0x4 0.01 0.01 0.01 1.0	// parallax scale
    setProgramVarLocal fragmentProgram 0x5  240  240  240 1	// glossiness scale
    setProgramVarLocal fragmentProgram 0x6   10   10   10 1	// glossiness bias (added)
    setProgramVarLocal fragmentProgram 0x7    0    0    0 0	// alpha channel in diffuse texture
}

compound megalith()
{
    addPass pass1
    addPass pass2
    addPass pass3
    addPass pass4
}
